Skip to content
StraventaDocs
Now in Sandbox.

Delete a setting

DELETE
/api/recon/v1/settings/{key}

Permanently deletes a configuration setting by its key. Returns 204 on success.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

key*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE https://sandbox.505pay.link/api/recon/v1/settings/{key} \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json"
Empty
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "unauthorized",
  "message": "Bearer token is missing or invalid",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

{
  "error": "insufficient_scope",
  "message": "caller lacks the required permission",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

{
  "error": "not_found",
  "message": "The requested resource was not found",
  "request_id": "01900000-0000-7000-8000-000000000001"
}
{
  "error": "rate_limit_exceeded",
  "message": "too many requests",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

Was this page helpful?